Enable or disable asset number auto-generation
curl --request PATCH \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy/toggle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy/toggle"
payload = { "enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/asset-number/policy/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignmentMethod": "shared",
"policy": {
"id": 1,
"prefixPattern": [
{
"type": "fixed",
"metadata": {
"value": "ADMINA"
}
}
],
"suffixDigits": 2,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Devices
Enable or disable asset number auto-generation
Toggle whether asset numbers are auto-generated for the organization.
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
asset-number
/
policy
/
toggle
Enable or disable asset number auto-generation
承認
パスパラメータ
ボディ
application/json
Whether auto-generation should be enabled
例:
true
最終更新日 2026年9月15日
このページは役に立ちましたか?

